Skip to content
登录 注册

Bing SERP API 参数

GET https://serp.shifter.io/v1?engine=bing&api_key=YOUR_API_KEY&q=<query>
参数类型是否必填说明
api_keystring是您的 SERP API 密钥
enginestring是必须为 bing
qstring是搜索查询
locationstring否自由格式的位置信息(例如 "London, England")
ccISO code否国家/地区过滤
setLanglocale否界面语言(例如 en-US、de-DE)
devicedesktop | mobile否模拟设备(默认 desktop)
firstinteger否用于分页的结果偏移量
countinteger否每页结果数(默认 10)
safe_searchOff | Moderate | Strict否SafeSearch 级别

德语本地化搜索:

Terminal window
curl "https://serp.shifter.io/v1?engine=bing&api_key=YOUR_API_KEY&q=haus+kaufen&cc=DE&setLang=de-DE"

移动端 SERP 分页(接下来的 10 条结果):

Terminal window
curl "https://serp.shifter.io/v1?engine=bing&api_key=YOUR_API_KEY&q=best+laptops&device=mobile&first=11"